List all verifications for a user
curl --request GET \
--url https://int-api.mx.com/users/{user_guid}/account_verifications \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/users/{user_guid}/account_verifications"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/users/{user_guid}/account_verifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"micro_deposit": [
{
"account_number": "3331261",
"account_type": "CHECKING",
"routing_number": "091000019",
"account_name": "My test account",
"email": "joshyboy2@example.com",
"first_name": "Joshy",
"last_name": "Grobanne",
"error_message": null,
"guid": "MIC-09ba578e-8448-4f7f-89e1-b62ff2517edb",
"institution_code": "mxbank",
"institution_name": "MX Bank",
"status": "INITIATED",
"updated_at": "2023-06-01T19:18:06Z",
"verified_at": null
}
]
}Microdeposits
List all verifications for a user
This endpoint returns a list of the account verifications associated with the user, as well as the status of those verifications.
GET
/
users
/
{user_guid}
/
account_verifications
List all verifications for a user
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier for a user, beginning with the prefix USR-.
Response
200 - application/json
OK
Hide child attributes
Hide child attributes
Example:
"3331261"
Example:
"CHECKING"
Example:
"091000019"
Example:
"My test account"
Example:
"joshyboy2@example.com"
Example:
"Joshy"
Example:
"Grobanne"
Example:
null
Example:
"MIC-09ba578e-8448-4f7f-89e1-b62ff2517edb"
Example:
"mxbank"
Example:
"MX Bank"
Example:
"INITIATED"
Example:
"2023-06-01T19:18:06Z"
Example:
null
⌘I

